Fix bug 476: when CxxTest is not found, make the error less fatal-looking
[cvc5.git] / Makefile
1 # -*-makefile-*-
2 #
3 # This makefile is the _source_ directory's makefile, and is static,
4 # not generated. Makefile.am is the automake makefile for the build
5 # top-level (its corresponding Makefile.in is here, too, but the
6 # corresponding Makefile is under builds/$arch/$buildid.
7 #
8 builddir = builds
9
10 .PHONY: all install examples install-examples
11 all install examples install-examples .DEFAULT:
12 @if test -d $(builddir); then \
13 echo cd $(builddir); \
14 cd $(builddir); \
15 echo $(MAKE) $@; \
16 $(MAKE) $@ || exit 1; \
17 else \
18 echo; \
19 echo 'Run configure first, or type "make" in a configured build directory.'; \
20 echo; \
21 fi
22
23 distclean maintainerclean:
24 @if test -d $(builddir); then \
25 echo cd $(builddir); \
26 cd $(builddir); \
27 echo $(MAKE) $@; \
28 $(MAKE) $@ || exit 1; \
29 fi
30 test -z "$(builddir)" || rm -fr "$(builddir)"
31 rm -f config.reconfig
32
33 # synonyms for "check"
34 .PHONY: test
35 test: check
36
37 .PHONY: doc doc-internals
38 doc: doc-builds
39 doc-internals: doc-internals-builds
40
41 YEAR := $(shell date +%Y)
42 submission submission-main:
43 @if [ -n "`ls src/parser/*/generated 2>/dev/null`" ]; then \
44 echo 'ERROR:' >&2; \
45 echo 'ERROR: Please make maintainer-clean first.' >&2; \
46 echo 'ERROR:' >&2; \
47 exit 1; \
48 fi
49 ./autogen.sh
50 ./configure competition --disable-shared --enable-static-binary --with-cln --without-cudd
51 $(MAKE)
52 strip builds/bin/cvc4
53 $(MAKE) check
54 $(MAKE) -C test/regress/regress1 check
55 # main track
56 mkdir -p cvc4-smtcomp-$(YEAR)
57 cp -p builds/bin/cvc4 cvc4-smtcomp-$(YEAR)/cvc4
58 cp contrib/run-script-smtcomp2012 cvc4-smtcomp-$(YEAR)/run
59 chmod 755 cvc4-smtcomp-$(YEAR)/run
60 tar cf cvc4-smtcomp-$(YEAR).tar cvc4-smtcomp-$(YEAR)
61 submission-application:
62 # application track is a separate build because it has different preprocessor #defines
63 @if [ -n "`ls src/parser/*/generated 2>/dev/null`" ]; then \
64 echo 'ERROR:' >&2; \
65 echo 'ERROR: Please make maintainer-clean first.' >&2; \
66 echo 'ERROR:' >&2; \
67 exit 1; \
68 fi
69 ./autogen.sh
70 ./configure competition --disable-shared --enable-static-binary --with-cln --without-cudd CXXFLAGS=-DCVC4_SMTCOMP_APPLICATION_TRACK CFLAGS=-DCVC4_SMTCOMP_APPLICATION_TRACK
71 $(MAKE)
72 strip builds/bin/cvc4
73 $(MAKE) check
74 $(MAKE) -C test/regress/regress1 check
75 # package the application track tarball
76 mkdir -p cvc4-application-smtcomp-$(YEAR)
77 cp -p builds/bin/cvc4 cvc4-application-smtcomp-$(YEAR)/cvc4
78 ( echo '#!/bin/sh'; \
79 echo 'exec ./cvc4 -L smt2 --no-checking --no-interactive --incremental' ) > cvc4-application-smtcomp-$(YEAR)/run
80 chmod 755 cvc4-application-smtcomp-$(YEAR)/run
81 tar cf cvc4-application-smtcomp-$(YEAR).tar cvc4-application-smtcomp-$(YEAR)
82 submission-parallel:
83 # parallel track can't be built with -cln, so it's a separate build
84 @if [ -n "`ls src/parser/*/generated 2>/dev/null`" ]; then \
85 echo 'ERROR:' >&2; \
86 echo 'ERROR: Please make maintainer-clean first.' >&2; \
87 echo 'ERROR:' >&2; \
88 exit 1; \
89 fi
90 ./autogen.sh
91 ./configure competition --disable-shared --enable-static-binary --with-gmp --without-cudd --with-portfolio
92 $(MAKE)
93 strip builds/bin/pcvc4
94 # some test cases fail (and are known to fail)
95 -$(MAKE) check BINARY=pcvc4
96 $(MAKE) -C test/regress/regress1 check BINARY=pcvc4
97 # package the parallel track tarball
98 mkdir -p cvc4-parallel-smtcomp-$(YEAR)
99 cp -p builds/bin/pcvc4 cvc4-parallel-smtcomp-$(YEAR)/pcvc4
100 ( echo '#!/bin/sh'; \
101 echo 'exec ./pcvc4 --threads 2 -L smt2 --no-checking --no-interactive' ) > cvc4-parallel-smtcomp-$(YEAR)/run
102 chmod 755 cvc4-parallel-smtcomp-$(YEAR)/run
103 tar cf cvc4-parallel-smtcomp-$(YEAR).tar cvc4-parallel-smtcomp-$(YEAR)